Bug 235099 - Add GHNS (KNewStuff) support to font installer
Summary: Add GHNS (KNewStuff) support to font installer
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_fontinst (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Craig Drummond
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-22 20:19 UTC by Christoph Feck
Modified: 2011-07-03 18:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2010-04-22 20:19:37 UTC
Version:           1.0 (using 4.4.73 (KDE 4.4.73 (KDE 4.5 >= 20100422)), compiled sources)
Compiler:          gcc
OS:                Linux (i686) release 2.6.31.12-0.2-desktop

There is a Fonts section on openDesktop.org/Artwork, and the font installer could download them from there using the KNewStuff dialog.
Comment 1 Craig Drummond 2011-07-03 18:06:36 UTC
Git commit c16d79d867c002b8322e9faeb69f3b8cc1489c6e by Craig Drummond.
Committed on 03/07/2011 at 19:18.
Pushed by craig into branch 'master'.

Download fonts via GetHotNewStuff
BUG:235099

M  +2    -2    kcontrol/kfontinst/dbus/Folder.cpp     
M  +1    -1    kcontrol/kfontinst/dbus/Folder.h     
M  +9    -4    kcontrol/kfontinst/dbus/FontInst.cpp     
M  +13   -12   kcontrol/kfontinst/dbus/FontInst.h     
M  +1    -1    kcontrol/kfontinst/dbus/FontinstIface.cpp     
M  +10   -3    kcontrol/kfontinst/dbus/FontinstIface.h     
M  +5    -0    kcontrol/kfontinst/dbus/org.kde.fontinst.xml     
M  +2    -1    kcontrol/kfontinst/kcmfontinst/CMakeLists.txt     
M  +5    -2    kcontrol/kfontinst/kcmfontinst/JobRunner.cpp     
M  +40   -7    kcontrol/kfontinst/kcmfontinst/KCmFontInst.cpp     
M  +2    -0    kcontrol/kfontinst/kcmfontinst/KCmFontInst.h     
A  +7    -0    kcontrol/kfontinst/kcmfontinst/kfontinst.knsrc     
M  +1    -1    kcontrol/kfontinst/kio/FontInstInterface.cpp     

http://commits.kde.org/kde-workspace/c16d79d867c002b8322e9faeb69f3b8cc1489c6e